<?

/*
$database = array('user'=>'credialf',
			 'host'=>'localhost', 
			 'pass'=>'10crea',
			  'db'=>'credialf_alfa');
*/			  


function array_sort($array, $on, $order=SORT_ASC)
{
    $new_array = array();
    $sortable_array = array();

    if (count($array) > 0) {
        foreach ($array as $k => $v) {
            if (is_array($v)) {
                foreach ($v as $k2 => $v2) {
                    if ($k2 == $on) {
                        $sortable_array[$k] = $v2;
                    }
                }
            } else {
                $sortable_array[$k] = $v;
            }
        }

        switch ($order) {
            case SORT_ASC:
                asort($sortable_array);
            break;
            case SORT_DESC:
                arsort($sortable_array);
            break;
        }

        foreach ($sortable_array as $k => $v) {
            $new_array[$k] = $array[$k];
        }
    }

    return $new_array;
}

$people = array(
    12345 => array(
        'id' => 12345,
        'first_name' => 'Joe',
        'surname' => 'Bloggs',
        'age' => 23,
        'sex' => 'm'
    ),
    12346 => array(
        'id' => 12346,
        'first_name' => 'Adam',
        'surname' => 'Smith',
        'age' => 18,
        'sex' => 'm'
    ),
    12347 => array(
        'id' => 12347,
        'first_name' => 'Amy',
        'surname' => 'Jones',
        'age' => 21,
        'sex' => 'f'
    )
);
/*
echo "<pre>";
print_r(array_sort($people, 'age', SORT_DESC)); // Sort by oldest first
echo "</pre>";
echo "<pre>";
print_r(array_sort($people, 'surname', SORT_ASC)); // Sort by surname
echo "</pre>";

*/
//exit;
$database = array('user'=>'root',
			 'host'=>'localhost', 
			 'pass'=>'',
			  'db'=>'alfa');
  
$link = mysql_connect($database['host'], $database['user'], $database['pass']);
		
$idSucursal = 1;

if($idSucursal){
	$where = " and idsucursal = '".$idSucursal."' ";
}

//Buscar todas las sucursales

$sql = "select IdAdministrador,IdSucursal 
		from `cr_sucursal`
		WHERE Estado = 'A' $where and eliminado = '0'
		";

$result = mysql_db_query($database['db'], $sql, $link);
$num_rows = mysql_num_rows($result);

if($num_rows>0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$IdAdministrador = $o_valor->IdAdministrador;
  	$IdSucursal = $o_valor->IdSucursal;
  	//Buscar todos los mercados x cada sucursal
  	if($idSucursal){
		$where = " and sm.idsucursal = '".$idSucursal."' ";
	}
	
	if($idMercado){
		$where .= " and m.IdMercado = '".$idMercado."' ";
	}

  	$sql = "select m.IdMercado   
			from `cr_sucursal_mercado` sm
			left join cr_mercado m on m.IdMercado = sm.IdMercado
			WHERE 1=1 $where and m.eliminado = '0'
			";

  	$resultms = mysql_db_query($database['db'], $sql, $link);
	$num_rowsms = mysql_num_rows($resultms);
	 while ($o_valorms = mysql_fetch_object($resultms)) {
		if($num_rowsms > 0){
			$IdMercado = $o_valorms->IdMercado;
			//Buscar los colabaoradores x cada administrador
	  		$sql = "select IdCliente,NombreCompleto
				from `cr_cliente` c
				WHERE idMercado = '$IdMercado'
					and c.eliminado ='0'
					
				";
		//Limit 0 , 40
	  	
		  	$resultcli = mysql_db_query($database['db'], $sql, $link);
			$num_rowscli = mysql_num_rows($resultcli);
			if($num_rowscli > 0){
				 while ($o_valorcli = mysql_fetch_object($resultcli)) {
			  		$IdCliente = $o_valorcli->IdCliente;
			  		$NombreCliente = $o_valorcli->NombreCompleto;
			  		//Buscar los prestamos vencidos
				  	$sql = "select c.IdCliente ,p.estado,max(fechaVencimiento) as fechaMax,max(FechaCancelacion) as fechaMaxC,count(*) as cantidad
							from `cr_prestamo` p
							left join cr_cliente c on c.idcliente = p.idcliente
							WHERE c.IdCliente = '$IdCliente'
							and p.eliminado = '0'
							and c.eliminado = '0'
							group by c.IdCliente, p.estado
							
							";
				  	/*if($IdColaborador == '126'){
				  			echo "ok".$IdColaborador;	
				  	}*/
				  	$resultpre = mysql_db_query($database['db'], $sql, $link);
					$num_rowspre = mysql_num_rows($resultpre);
					if($num_rowspre > 0){
						 while ($o_valorpre = mysql_fetch_object($resultpre)) {
							$IdCliente = $o_valorpre->IdCliente;
							$Estado = $o_valorpre->estado;
							$cantidad = $o_valorpre->cantidad;
							$fechaMax = $o_valorpre->fechaMax;
							$fechaMaxC = $o_valorpre->fechaMaxC;
							
							$a_cliente[$IdCliente][$Estado] = $cantidad;
							if($Estado == 'C'){
								$a_cliente[$IdCliente]['fechaMaximo'] = $fechaMax;
								$a_cliente[$IdCliente]['fechaMaximoCancelado'] = $fechaMaxC;
								$a_cliente[$IdCliente]['IdMercado'] = $IdMercado;
								$a_cliente[$IdCliente]['IdSucursal'] = $IdSucursal;
								$a_cliente[$IdCliente]['NombreCliente'] = $NombreCliente;
							}
							
							/*if($IdPrestamo == '34891'){
								echo "ok".$IdPrestamo;	
							}*/
		
						}
					
					}
				 }
			 }
		   }
		}
 	}
	if(is_array($a_cliente)){
		foreach ($a_cliente as $keyc => $a_cliente ){
			if(!$a_cliente['P']){
				$a_cliente_depurado[$keyc] = $a_cliente;
			}
		}
	}
	echo count($a_cliente_depurado);
	echo "<pre>";
			print_r(array_sort($a_cliente_depurado, 'fechaMaximoCancelado', SORT_DESC));
	echo "</pre>"; 
}

?>